<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
require_once('lang.inc.php');

$xListStr = array(
  'blacklist_from' => _('Blacklist Absender'),
  'blacklist_to' => _('Blacklist Empf&auml;nger'),
  'blacklist_subject' => _('Blacklist Betreff'),
  'whitelist_from' => _('Whitelist Absender'),
  'whitelist_to' => _('Whitelist Empf&auml;nger'),
  'whitelist_subject' => _('Whitelist Betreff'),
);

dbConnect();

$query         = "SELECT isAdmin, canUseFilters FROM account WHERE accountname='$user'";
$result        = dbQuery($query) or dbError('manageAccount', 'Query failed');
$rs            = dbFetch($result);
$isAdminLogged = $rs->isAdmin;
$canUseFilters = $rs->canUseFilters;
if($toManage != '' && $isAdminLogged != 'f')
  $user = $toManage;

if($action == 'insert')
{
  $err = '';
  if($itype == '')
  {
    $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen eine Liste w&auml;hlen!')."</B></FONT><BR>";
  }
  if(rtrim($ivalue) == '')
  {
    $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen einen Wert angeben!')."</B></FONT><BR>";
  }
  if($err == '')
  {
    dbQuery("INSERT INTO userpref (accountname, preference, value) VALUES ('$user', '$itype', '$ivalue')") or dbError('displayXList', 'Query failed');
    $itype = '';
    $ivalue = '';
  }
}
if($toDelPrefid != '')
{
  dbQuery("DELETE FROM userpref WHERE prefid=$toDelPrefid") or dbError('displayXList', 'Query failed');
}

require "header.inc.php";
?>
<SCRIPT Language="JavaScript">
function deleteXList(sid, prefid)
{
  if(confirm("<? echo _('Bitte bestaetigen!'); ?>"))
  {
<?
if($toManage != '' && $isAdminLogged != 'f')
  echo '    document.location = "displayXList.php?sid=" + sid + "&toManage='.$toManage.'&toDelPrefid=" + prefid;'."\n";
else
  echo '    document.location = "displayXList.php?sid=" + sid + "&toDelPrefid=" + prefid;'."\n";
?>
  }
}
</SCRIPT>
<BODY>
<?
require "menu.inc.php";

if($err != '')
  printf(_("<H2>Fehler!</H2>%s"), $err);
?>
  <CENTER>
    <H2><? printf(_("Black-/White Listen des Kontos '%s'"), $user); ?>'</H2><HR>
    <TABLE WIDTH="600" BORDER="0" cellspacing="1" cellpadding="0">
      <TR>
        <TH class="addbook" style="border-left-width:1px; border-left-style:solid;" WIDTH="110"><? echo _('Typ'); ?></TH>
        <TH class="addbook" WIDTH="350"><? echo _('Wert'); ?></TH>
        <TH class="addbook" WIDTH="140">&nbsp;</TH>
      </TR>
      <TR>
        <td colspan="3">
<?
$query        = "SELECT prefid, preference, value FROM userpref WHERE accountname='$user' ORDER BY preference, value";
$result       = dbQuery($query) or dbError('displayXList', 'Query failed');

$nLines = dbNumRows($result);
if($nLines > 10)
{
  $divHeight = 181;
  $w1 = 106;
  $w2 = 352;
  $w3 = 125;
}
else
{
  $divHeight = 18 * $nLines;
  $w1 = 106;
  $w2 = 353;
  $w3 = 141;
}
if($nLines == 0)
  $divHeight = 18;

echo "<div id=\"Layer1\" style=\"border-width:1px; border-style:solid; width:600px; z-index:1; ";
if($nLines > 10)
  echo "overflow: auto; ";
echo "height:$divHeight"."px;\">\n";
echo "  <TABLE WIDTH=\"100%\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n";

$style = 'table02';
while($rs = dbFetch($result))
  {
    $prefid   = $rs->prefid;
    $pref     = $rs->preference;
    $value    = $rs->value;
    if($style == 'table02')
      $style = 'table03';
    else
      $style = 'table02';
?>
      <TR>
        <TD WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><? print $xListStr[stripslashes(htmlentities($pref))]; ?></TD>
        <TD ALIGN="LEFT" WIDTH="<? echo $w2; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><? print stripslashes(htmlentities($value)); ?></TD>
        <TD WIDTH="<? echo $w3; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">
          <?
            print "<A class=\"maillist\" HREF=\"javascript:deleteXList('".session_id()."', $prefid)\">"._('L&ouml;schen')."</A>";
          ?>
        </TD>
      </TR>
<?
  }
if($nLines == 0)
{
?>
      <TR>
        <TD COLSPAN="3" WIDTH="<? echo $w1 + $w2 + $w3; ?>" class="table03" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;"><b><? echo _('Kein Eintrag'); ?></b></TD>
      </TR>
<?
}

dbDisconnect();
?>
    </TABLE>
    </td>
    </tr></table>
  </div>
    <HR>
    <FORM ACTION="displayXList.php?sid=<? print session_id(); ?>" METHOD="POST" NAME="insertForm">
<?
if($toManage != '' && $isAdminLogged != 'f')
  echo "<INPUT TYPE=\"hidden\" NAME=\"toManage\" VALUE=\"$toManage\">\n";
?>
    <INPUT TYPE="hidden" NAME="action" VALUE="insert">
    <? echo _('Liste'); ?>: <SELECT NAME="itype" SIZE="1">
      <OPTION VALUE=""><? echo _('Liste'); ?></OPTION>
      <OPTION VALUE="blacklist_from"<? if($itype == 'blacklist_from') print " SELECTED"; ?>><? echo _('Blacklist Absender'); ?></OPTION>
      <OPTION VALUE="blacklist_to"<? if($itype == 'blacklist_to') print " SELECTED"; ?>><? echo _('Blacklist Empf&auml;nger'); ?></OPTION>
      <OPTION VALUE="blacklist_subject"<? if($itype == 'blacklist_subject') print " SELECTED"; ?>><? echo _('Blacklist Betreff'); ?></OPTION>
      <OPTION VALUE="whitelist_from"<? if($itype == 'whitelist_from') print " SELECTED"; ?>><? echo _('Whitelist Absender'); ?></OPTION>
      <OPTION VALUE="whitelist_to"<? if($itype == 'whitelist_to') print " SELECTED"; ?>><? echo _('Whitelist Empf&auml;nger'); ?></OPTION>
      <OPTION VALUE="whitelist_subject"<? if($itype == 'whitelist_subject') print " SELECTED"; ?>><? echo _('Whitelist Betreff'); ?></OPTION>
    </SELECT>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <? echo _('Wert'); ?>: <INPUT TYPE="text" NAME="ivalue" SIZE="30" VALUE="<? print $ivalue; ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button" name="addButton" tabindex="4" value="<? echo _('Hinzuf&uuml;gen'); ?>" onclick="return document.insertForm.submit();" />
    </FORM>
  </CENTER>
</BODY>
</HTML>
