<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
require_once('lang.inc.php');
require_once('mailbox.inc.php');

function isValidEmail($email_address)
{
   $regex = '/^[A-z0-9][\w.-]*@[A-z0-9][\w\-\.]+\.[A-z0-9]{2,6}$/';

   return (preg_match($regex, $email_address));
}

function isValidAccount($accountname)
{
   $regex = '/^[A-z0-9\w\.\-]{4,16}$/';

   return (preg_match($regex, $accountname));
}

dbConnect();

$query         = "SELECT isAdmin, canUseFilters FROM account WHERE accountname='$user'";
$result        = dbQuery($query) or dbError('manageAccount', 'Query failed');
$rs            = dbFetch($result);
$isAdminLogged = $rs->isAdmin;
$canUseFilters = $rs->canUseFilters;
if($rs->isAdmin == 'f')
{
  require "header.inc.php";
?>
<BODY>
<CENTER><H1><? echo _('Sie sind nicht erlaubt diese Seite aufzurufen!'); ?></H1></CENTER>
<HR>
<H2><?
echo _('Sie haben versucht eine reservierte Seite des System aufzurufen, ohne eine g&uuml;ltige Autorisierung!<br>Der Systemadministrator ist informiert worden.<br><br>Ihrer Versuch kann, nach der Entscheidung der Administrator, zur rechtlichen Konsequenzen und zur Sperre Ihres Kontos f&uuml;hren.');
?></H2>
</BODY>
</HTML>
<?
  mail($admins, "Unauthorised access try to the system", "Unauthorised access try to the page manageAccount.php\n\n".
     "IP: ".$HTTP_SERVER_VARS['REMOTE_ADDR']." (".gethostbyaddr($HTTP_SERVER_VARS['REMOTE_ADDR']).")\n".
     "Used browser: ".$HTTP_SERVER_VARS['HTTP_USER_AGENT']."\n".
     "User: $user\n",
     "From: $admins\r\n"
    ."X-Mailer: PHP/" . phpversion());
  session_unset();
  session_destroy();
  exit();
}

if($action == 'insert' && $selectPipe == '')
{
  $err = '';
  $query  = "SELECT id FROM account WHERE accountname = '$username'";
  $result = dbQuery($query) or dbError('manageAccount', 'Query failed');
  if(count(dbFetchArray($result)) > 1)
    $err .= '<FONT COLOR="#FF0000"><B>- '._('Dieser Kontoname ist schon benutzt!').'</B></FONT><BR>';
  else
  {
    if(rtrim($email) == '')
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen eine E-Mail Adresse angeben!').'</B></FONT><BR>';
    else
    {
      $result  = dbQuery("SELECT id FROM domain WHERE domainname='$domainName'") or dbError('manageAccount', 'Query failed');
      $rs      = dbFetch($result);
      $domId   = $rs->id;
      $result  = dbQuery("SELECT id FROM aliases WHERE aliasname = '$email' and domainid = $domId") or dbError('manageAccount', 'Query failed');
      $rs      = dbFetch($result);
      $exAlias = $rs->id;
      if($exAlias != '')
        $err .= '<FONT COLOR="#FF0000"><B>- '._('Die eingegebene E-Mail Adresse ist schon benutzt!').'</B></FONT><BR>';
    }
    if($willBeAdmin != 'f' && rtrim($forward) != '')
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Ein Administrator darf kein Weiterleitungskonto sein!').'</B></FONT><BR>';
    if(rtrim($passwd) == '' && rtrim($username) != '')
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen ein Passwort angeben!').'</B></FONT><BR>';
    if(rtrim($username) != '' && !isValidAccount($username))
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Der eingegebene Kontoname ist nicht g&uuml;ltig!').'</B></FONT><BR>';
    if(rtrim($email) != '' && !isValidEmail($email.'@'.$domainName))
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Die eingegebene E-Mail Adresse ist nicht g&uuml;ltig!').'</B></FONT><BR>';
    if(rtrim($pipeName) != '')
    {
      dbDisconnect();
      $ok = 0;
      foreach(getParametersForPipe($pipeName) as $par)
        if($par == $pipeParameter)
          $ok = 1;
      dbConnect();
      if($ok == 0)
        $err .= "<FONT COLOR=\"#FF0000\"><B>- "._('Der eingegebene Parameter ist f&uuml;r dieses Programm nicht g&uuml;ltig!')."</B></FONT><BR>";
    }
    if(rtrim($forward) != '')
    {
      $e = 0;
      $c = 0;
      foreach(explode("\n", str_replace("\r\n", "\n", rtrim($forward))) as $f)
      {
        $c++;
        if(!isValidEmail($f))
          $e = 1;
      }
      if($e == 1)
        if($c == 1)
          $err .= '<FONT COLOR="#FF0000"><B>- '._('Die eingegebene Weiterleitungsziel ist nicht g&uuml;ltig!').'</B></FONT><BR>';
        else
          $err .= '<FONT COLOR="#FF0000"><B>- '._('Mindestens eine der eingegebenen Weiterleitungsziele ist nicht g&uuml;ltig!').'</B></FONT><BR>';
    }
    if((rtrim($pipeName) == '' && rtrim($forward) == '' && rtrim($username) == '') || (rtrim($forward) != '' && rtrim($username) != '') || (rtrim($forward) != '' && rtrim($pipeName) != '') || (rtrim($pipeName) != '' && rtrim($username) != ''))
      $err .= '<FONT COLOR="#FF0000"><B>- '._('Sie m&uuml;ssen entweder einen Kontonamen, ein Weiterleitungsziel oder ein aufzurufendes Programm angeben!').'</B></FONT><BR>';
  }
  if($err == '')
  {
    if($forward != '')
    {
      $fData = '';
      foreach(explode("\n", str_replace("\r\n", "\n", rtrim($forward))) as $f)
      {
        if($fData != '')
          $fData .= "\n";
        $fData .= "deliver $f";
      }
      $userNameAlias = 'w_'.$domainName.'_'.$email;
      $query = "INSERT INTO account (accountname, data, virtual, spamScanType, virusScanType, toActivate, accountType) VALUES ('$userNameAlias', '$fData', 't', 'INACTIVE', 'INACTIVE', 'f', 'FORWARD')";
    }
    else if($pipeName != '')
    {
      foreach($allowedPipes as $pipe)
        if($pipe['name'] == $pipeName)
        {
          list($type, $v) = explode(':', $pipe['values']);
          list($prefix, $other) = explode('|', $v);
          if($other == '' && $prefix != '')
          {
            $other = $prefix;
            $prefix = '';
          }
          $fData = "pipe \"".$pipe['command']." $prefix$pipeParameter\"";
        }
      $userNameAlias = 'p_'.$domainName.'_'.$email;
      $query = "INSERT INTO account (accountname, data, virtual, spamScanType, virusScanType, toActivate, accountType) VALUES ('$userNameAlias', '$fData', 't', 'INACTIVE', 'INACTIVE', 'f', 'PIPE')";
    }
    else
    {
      $userNameAlias = $username;
      $finaldest = getMailbox($username, $domainName);
      if($willBeAdmin != 't')
        $willUseFilters = 't';
      $query = "INSERT INTO account (accountname, realname, passwd, data, finaldest, canModifyAlias, isAdmin, canUseFilters) VALUES ('$username', '$realname', '$passwd', 'save %%FINALDEST%%', '$finaldest', '$canModifyAlias', '$willBeAdmin', '$willUseFilters')";
    }
    dbQuery($query) or dbError('manageAccount', 'Query failed');
    $result = dbQuery("SELECT id FROM account WHERE accountname='$userNameAlias'") or dbError('manageAccount', 'Query failed');
    $rs     = dbFetch($result);
    $accId  = $rs->id;
    $result = dbQuery("SELECT id FROM domain WHERE domainname='$domainName'") or dbError('manageAccount', 'Query failed');
    $rs     = dbFetch($result);
    $domId  = $rs->id;
    dbQuery("INSERT INTO aliases (accountid, domainid, aliasname) VALUES ($accId, $domId, '$email')") or dbError('manageAccount', 'Query failed');
    $email = '';
    $passwd = '';
    $forward = '';
    $willBeAdmin = '';
    $username = '';
    $realname = '';
    $canModifyAlias = '';
    $willUseFilters = '';
    $pipeName = '';
    $pipeParameter = '';
  }
}
if($toDeleteId != '')
{
  $result = dbQuery("SELECT accountType FROM account WHERE id=$toDeleteId") or dbError('manageAccount', 'Query failed');
  $rs     = dbFetch($result);
  if($rs->accountType == 'FORWARD' || $rs->accountType == 'PIPE')
  {
    dbQuery("DELETE FROM aliases WHERE accountid = $toDeleteId") or dbError('manageAccount', 'Query failed');
    dbQuery("DELETE FROM account WHERE id = $toDeleteId") or dbError('manageAccount', 'Query failed');
  }
  else
    dbQuery("UPDATE account SET toDelete = 't' WHERE id = $toDeleteId") or dbError('manageAccount', 'Query failed');
}
if($toUnblockId != '')
{
  dbQuery("UPDATE account SET virtual = 'f' WHERE id = $toUnblockId") or dbError('manageAccount', 'Query failed');
}
if($toBlockId != '')
{
  dbQuery("UPDATE account SET virtual = 't' WHERE id = $toBlockId") or dbError('manageAccount', 'Query failed');
}

require "header.inc.php";
?>
<SCRIPT Language="JavaScript">
function blockUser(sid, accountid, accountname)
{
  if(confirm("<? echo _('Bitte bestaetigen Sie die Sperre des Kontos'); ?> " + accountname + "!"))
    {
      document.location = "manageAccount.php?sid=" + sid + "&toBlockId=" + accountid;
    }
}

function deleteUser(sid, accountid, accountname)
{
  if(confirm("<? echo _('Bitte bestaetigen Sie die Loeschung des Kontos'); ?> " + accountname + "!"))
    {
      document.location = "manageAccount.php?sid=" + sid + "&toDeleteId=" + accountid;
    }
}
</SCRIPT>
<BODY>
<? require "menu.inc.php"; ?>
  <H3></H3>
<?
  if($err != '')
  {
    printf(_("<H2>FEHLER!</H2>%s"), $err);
    echo "<br>\n";
  }
?>
  <FORM ACTION="manageAccount.php?sid=<? print session_id(); ?>" METHOD="POST" NAME="insertForm">
  <INPUT TYPE="hidden" NAME="action" VALUE="insert">
  <TABLE WIDTH="600" BORDER="0">
    <TR>
      <TD WIDTH="600" COLSPAN="2" VALIGN="TOP"><H2><? echo _('Neues Konto anlegen'); ?></H2></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('E-Mail Adresse'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP">
        <INPUT TYPE="text" NAME="email" SIZE="30" VALUE="<? print $email; ?>">@
        <SELECT NAME="domainName" SIZE="1">
<?
if($isAdminLogged == 't')
  $query      = "SELECT domainname FROM domain ORDER BY domainname = '$mainDomain' DESC, domainname";
else
  $query      = "SELECT DISTINCT(domain.domainname) FROM account LEFT JOIN aliases ON (aliases.accountid = account.id) LEFT JOIN domain ON (aliases.domainid = domain.id) WHERE accountname='$user' ORDER BY domainname = '$mainDomain' DESC, domainname";
$result       = dbQuery($query) or dbError('manageAccount', 'Query failed');

while($rs = dbFetch($result))
{
  $d   = $rs->domainname;
  if($d == $domainName)
    print "<OPTION SELECTED>$d</OPTION>\n";
  else
    print "<OPTION>$d</OPTION>\n";
}
?>
        </SELECT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Kontoname'); ?>:<BR><FONT SIZE="2"><? echo _('(leer lassen, wenn Sie eine Weiterleitung anlegen wollen)'); ?></FONT></TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="text" NAME="username" SIZE="50" VALUE="<? print $username; ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Vor- und Nachname'); ?>:<BR><FONT SIZE="2"><? echo _('(leer lassen, wenn Sie eine Weiterleitung anlegen wollen)'); ?></FONT></TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="text" NAME="realname" SIZE="50" VALUE="<? print $realname; ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Passwort'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="text" NAME="passwd" SIZE="50" VALUE="<? print $passwd; ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Weiterleitungsziel'); ?>:<BR><FONT SIZE="2"><? echo _('(leer lassen, wenn Sie ein Postfach anlegen wollen)'); ?></FONT></TD>
      <TD WIDTH="400" VALIGN="TOP"><TEXTAREA NAME="forward" ROWS="5" COLS="50" WRAP="soft"><? echo $forward; ?></TEXTAREA></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Programm aufzurufen'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><SELECT NAME="pipeName" SIZE="1"><OPTION VALUE=""><? echo _('Kein Programm ausf&uuml;hren'); ?></OPTION>
<?
foreach($allowedPipes as $pipe)
{
  if($pipeName == $pipe['name'])
    echo '<OPTION SELECTED VALUE="'.$pipe['name'].'">'.$pipe['name']."</OPTION>\n";
  else
    echo '<OPTION VALUE="'.$pipe['name'].'">'.$pipe['name']."</OPTION>\n";
}
?>
</SELECT>&nbsp;<INPUT TYPE="submit" NAME="selectPipe" VALUE="<? echo _('Programm w&auml;hlen') ?>"></TD>
    </TR>
    <TR>
      <TD WIDTH="150" VALIGN="TOP"><? echo _('Parameter'); ?>:</TD>
      <TD WIDTH="450" VALIGN="TOP"><SELECT NAME="pipeParameter" SIZE="1"><OPTION VALUE=""><? echo _('Kein Parameter'); ?></OPTION>
<?
dbDisconnect();
  foreach(getParametersForPipe($pipeName) as $par)
  {
    if($pipeParameter == $par)
      echo "<OPTION SELECTED VALUE=\"$par\">$par</OPTION>\n";
    else
      echo "<OPTION VALUE=\"$par\">$par</OPTION>\n";
  }
dbConnect();
?>
      </TD>
    </TR>
<?
if($msgPipe != '')
  print "<TR>\n<TD WIDTH=\"600\" COLSPAN=\"2\">$msgPipe</TD>\n</TR>\n";
?>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2"><B><? echo _('Wichtig: Wenn Sie eine Weiterleitung einrichten, werden die folgenden Optionen ignoriert!'); ?></B></FONT></TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Der Nutzer darf seine Aliase &auml;ndern'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="radio" NAME="canModifyAlias" VALUE="t"<? if($canModifyAlias == 't' || $canModifyAlias == '') echo " CHECKED=\"checked\""; ?>><? echo
 _('Ja'); ?>&nbsp;&nbsp;<INPUT TYPE="radio" NAME="canModifyAlias" VALUE="f"<? if($canModifyAlias == 'f') echo " CHECKED=\"checked\""; ?>><? echo _('Nein'); ?></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR><?  echo _("Wenn diese Option auf 'Nein' gesetzt ist, darf der Nutzer keine &Auml;nderung (l&ouml;schen bzw. hinzuf&uuml;gen) an seinen Aliasen ausf&uuml;hren."); ?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Der Nutzer darf Filters benutzen'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP"><INPUT TYPE="radio" NAME="willUseFilters" VALUE="t"<? if($willUseFilters == 't') echo " CHECKED=\"checked\""; ?>><? echo
 _('Ja'); ?>&nbsp;&nbsp;<INPUT TYPE="radio" NAME="willUseFilters" VALUE="f"<? if($willUseFilters == 'f' || $willUseFilters == '') echo " CHECKED=\"checked\""; ?>><? echo _('Nein'); ?></TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR><?  echo _("Wenn diese Option auf 'Ja' gesetzt ist, hat der Nutzer eine M&ouml;glichkeit, genau zu bestimmen wie seine E-Mail verwaltet werden sollen, anhand einigen Bedingungen."); ?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2" ALIGN="CENTER">&nbsp;</TD>
    </TR>
    <TR>
      <TD WIDTH="200" VALIGN="TOP"><? echo _('Nutzertyp'); ?>:</TD>
      <TD WIDTH="400" VALIGN="TOP">
<?
  if($isAdminLogged == 't')
  {
?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="t"<? if($willBeAdmin == 't') echo " CHECKED=\"checked\""; ?>><? echo _('Serveradministrator'); ?>&nbsp;&nbsp;
<?
  }
?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="d"<? if($willBeAdmin == 'd') echo " CHECKED=\"checked\""; ?>><? echo _('Domainadministrator'); ?>
        <INPUT TYPE="radio" NAME="willBeAdmin" VALUE="f"<? if($willBeAdmin == 'f' || $willBeAdmin == '') echo " CHECKED=\"checked\""; ?>><? echo _('Normaler Nutzer'); ?>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><FONT SIZE="2">
        <B><? echo _('Hilfe'); ?>:</B><BR><?  echo _("Ein Administrator darf neue Konten anlegen und bearbeiten. Wenn es nicht n&ouml;tig ist, dass der Nutzer das macht, w&auml;hlen Sie 'Normaler Nutzer'."); ?></FONT>
      </TD>
    </TR>
    <TR>
      <TD WIDTH="600" COLSPAN="2"><INPUT TYPE="submit" NAME="submit" VALUE="<? echo _('Anlegen'); ?>">&nbsp;&nbsp;&nbsp;<INPUT TYPE="reset" NAME="reset" VALUE="<? echo _('Abbrechen'); ?>"></TD>
    </TR>
  </TABLE>
  </FORM>
  <HR>
  <CENTER><H2><? echo _('Nutzer auf dem Server'); ?></H2></CENTER>
  <B><? echo _('Hilfe'); ?>:</B><BR>
<?  echo _('Beim Sperren eines Kontos ist es nicht mehr m&ouml;glich, eine E-Mail mit dem Nutzer zu autorisieren.<br>Das <I>Lesen</I> der E-Mails wird aber <B>NICHT</B> gesperrt!'); ?><br><br>
  <CENTER>
    <TABLE WIDTH="600" BORDER="0" cellspacing="1" cellpadding="0">
      <TR>
        <TH class="addbook" style="border-left-width:1px; border-left-style:solid;" WIDTH="397"><? echo _('Kontoname'); ?></TH>
        <TH class="addbook" WIDTH="203" COLSPAN="2">&nbsp;</TH>
      </TR>
      <TR>
        <td colspan="3">
<?
if($isAdminLogged == 't')
  $query      = "SELECT id, accountname, virtual, isAdmin, accountType FROM account WHERE (passwd IS NOT NULL OR (passwd IS NULL AND accountType IN ('FORWARD', 'PIPE'))) AND toDelete = 'f' ORDER BY isAdmin, accountType = 'MBOX' DESC, accountType = 'FORWARD' DESC, accountname";
else
{
  $query      = "SELECT DISTINCT(domain.domainname) FROM account LEFT JOIN aliases ON (aliases.accountid = account.id) LEFT JOIN domain ON (aliases.domainid = domain.id) WHERE accountname='$user' ORDER BY domainname";
  $result     = dbQuery($query) or dbError('manageAccount', 'Query failed');
  $domList = '';
  while($rs = dbFetch($result))
    if($domList == '')
      $domList .= "'".$rs->domainname."'";
    else
      $domList .= ", '".$rs->domainname."'";
  
  $query      = "SELECT DISTINCT account.id, account.accountname, account.virtual, account.isAdmin, account.accountType FROM account LEFT JOIN aliases ON (aliases.accountid = account.id) LEFT JOIN domain ON (aliases.domainid = domain.id) WHERE (passwd IS NOT NULL OR (passwd IS NULL AND accountType IN ('FORWARD', 'PIPE'))) AND toDelete = 'f' AND domain.domainname IN ($domList) ORDER BY isAdmin, accountType = 'MBOX' DESC, accountType = 'FORWARD' DESC, accountname";
}
$result       = dbQuery($query) or dbError('manageAccount', 'Query failed');

$nLines = dbNumRows($result);
if($nLines > 6)
{
  $divHeight = 139;
  $w1 = 414;
  $w2 = 93;
  $w3 = 93;
}
else
{
  $divHeight = 23 * $nLines;
  $w1 = 402;
  $w2 = 99;
  $w3 = 99;
}

echo "<div id=\"Layer1\" style=\"border-width:1px; border-style:solid; width:600px; z-index:1; ";
if($nLines > 6)
  echo "overflow: auto; ";
echo "height:$divHeight"."px;\">\n";
echo "  <TABLE WIDTH=\"100%\" BORDER=\"0\" cellspacing=\"0\" cellpadding=\"2\">\n";

$style = 'table02';
while($rs = dbFetch($result))
  {
    $accountid   = $rs->id;
    $accountname = $rs->accountname;
    $virtual     = $rs->virtual;
    $isAdmin     = $rs->isAdmin;
    $accountType = $rs->accountType;
    if($style == 'table02')
      $style = 'table03';
    else
      $style = 'table02';
?>
      <TR>
<?
if($accountname == $user)
{
  print "<TD WIDTH=\"$w1\" class=\"$style\" style=\"border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;\" ALIGN=\"LEFT\">".stripslashes(htmlentities($accountname));
  if($isAdmin != 'f')
    print "&nbsp;&nbsp(<B>"._('Admin')."</B>)";
  if($accountType == 'MBOX')
    echo "&nbsp;<img src=\"/images/mailAccount.png\" alt=\""._('Mailkonto')."\" title=\""._('Mailkonto')."\">";
  if($accountType == 'FORWARD')
    echo "&nbsp;<img src=\"/images/mailForward.png\" alt=\""._('Weiterleitung')."\" title=\""._('Weiterleitung')."\">";
  if($accountType == 'PIPE')
    echo "&nbsp;<img src=\"/images/mailPipe.png\" alt=\""._('Programm ausf&uuml;hren')."\" title=\""._('Programm ausf&uuml;hren')."\">";
  print "</TD>\n";
}
else
{
  if($isAdmin == 't')
  {
?>
        <TD WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;" ALIGN="LEFT"><? print stripslashes(htmlentities($accountname)); if($isAdmin != 'f') print "&nbsp;&nbsp(<B>"._('Admin')."</B>)"; ?>&nbsp;<? if($accountType == 'FORWARD') echo "<img src=\"/images/mailForward.png\" alt=\""._('Weiterleitung')."\" title=\""._('Weiterleitung')."\">"; if($accountType == 'MBOX') echo "<img src=\"/images/mailAccount.png\" alt=\""._('Mailkonto')."\" title=\""._('Mailkonto')."\">"; if($accountType == 'PIPE') echo "<img src=\"/images/mailPipe.png\" alt=\""._('Programm ausf&uuml;hren')."\" title=\""._('Programm ausf&uuml;hren')."\">"; ?></TD>
<?
  }
  else
  {
?>
        <TD WIDTH="<? echo $w1; ?>" class="<? echo $style; ?>" style="border-left-width:0px;border-right-width:0px;border-bottom-width:0px;border-top-width:0px;" ALIGN="LEFT"><A class="maillist" HREF="main.php?sid=<? echo session_id(); ?>&toManage=<? echo $accountname; ?>"><? print stripslashes(htmlentities($accountname)); if($isAdmin != 'f') print "&nbsp;&nbsp(<B>"._('Admin')."</B>)"; ?></A>&nbsp;<? if($accountType == 'FORWARD') echo "<img src=\"/images/mailForward.png\" alt=\""._('Weiterleitung')."\" title=\""._('Weiterleitung')."\">"; if($accountType == 'MBOX') echo "<img src=\"/images/mailAccount.png\" alt=\""._('Mailkonto')."\" title=\""._('Mailkonto')."\">"; if($accountType == 'PIPE') echo "<img src=\"/images/mailPipe.png\" alt=\""._('Programm ausf&uuml;hren')."\" title=\""._('Programm ausf&uuml;hren')."\">"; ?></TD>
<?
  }
}
?>
        <TD WIDTH="<? echo $w2; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">
          <?
            if($isAdmin != 't' && $accountname != $user)
              print "<A class=\"maillist\" HREF=\"javascript:deleteUser('".session_id()."', $accountid, '$accountname')\">"._('L&ouml;schen')."</A>";
            else
              print "&nbsp;";
          ?>
        </TD>
        <TD WIDTH="<? echo $w3; ?>" class="<? echo $style; ?>" style="border-right-width:0px;border-bottom-width:0px;border-top-width:0px;">
          <?
            if($isAdmin != 't' && $accountType == 'MBOX' && $accountname != $user)
            {
              if($virtual == 'f')
                print "<A class=\"maillist\" HREF=\"javascript:blockUser('".session_id()."', $accountid, '$accountname')\">"._('Sperren')."</A>";
              else
                print "<A class=\"maillist\" HREF=\"manageAccount.php?sid=".session_id()."&toUnblockId=$accountid\">"._('Freischalten')."</A>";
            }
            else
              print "&nbsp;";
          ?>
        </TD>
      </TR>
<?
  }

dbDisconnect();
?>
    </TABLE>
    </td>
    </tr></table>
  </div><br>
    <A class="maillist" HREF="manageAccount.php?sid=<? print session_id(); ?>"><? echo _('Liste aktualisieren'); ?></A>
  </CENTER>
</BODY>
</HTML>
