<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

/*******************************************************************************
* Server identification!                                                       *
* change the name with the result of the command:                              *
*                                                                              *
*                  uname -n                                                    *
*                                                                              *
* Then, for every configuration, write right data.                             *
*******************************************************************************/

$unames  = posix_uname();
switch($unames[nodename])
  {
    case 'myserver.tld':
      $dbHost           = '<Your MySQL-DB>';
      $dbUser           = '<DB login>';
      $dbPass           = '<DB password>';
      $dataBase         = '<DB name>';
      $admins           = 'sysadmin@myserver.tld';
      $tmpDir           = '/tmp';
      $mainDomain       = 'myserver.tld';
      $clamscanBin      = '/path/to/clamscan';
      $spamcBin         = '/path/to/spamc';
      $findBin          = '/path/to/find';
      $languages        = array('de_DE' => 'Deutsch',
                                'en_US' => 'English',
                                'it_IT' => 'Italiano');
      $eximUser         = 'exim';
// Path of the mailboxes. Some variables are allowed:
// %%ACCOUNT%% : the account
// %%DOMAIN%% : domain of the account
      $mailboxPath      = '/var/spool/mail/%%ACCOUNT%%';
      $maildirBase      = 'Maildir';
      $maildirSpamPath  = 'Spam';

// Variables for the Spamlog-routine
      $yourDomain       = 'myserver.tld';
      $configURL        = 'https://config.myserver.tld/';
      $toDeleteDays     = 14;

// List of possible PIPEs
// To add a new PIPE, add an array like this example:
// $allowedPipes[]      = array(
//        'name'        => 'name of the pipe',
//        'command'     => 'programm to start',
//        'values'      => list of possible values (see later)
// );
//
// As possible values, you can use one of the following:
// FILE:[<prefix>|]<file>                                           : the list of values is in <file> (each value a new line!!)
// PIPE:[<prefix>]|<command>                                        : the list of values is the output of <command> (each value a new line!!)
// DB:<host>/<DB Name>/<DB user>/<DB password>/[<prefix>|]<query>   : connect to the DB and get the values with the given query
// FIX:[<prefix>]|<value1>/<value2>/.../<valueN>                    : fixed list of values
// If present, a prefix will be added to every line. Separator between prefix and the other values is "|"!!
      $allowedPipes     = array();
    break;
  }
$localeDir              = $DOCUMENT_ROOT.'/../locale';

$filtersTests           = array('body' => '$message_body', 'sender' => '$sender_address', 'recipient' => '$local_part', 'size' => '$message_size', 'subject' => '$header_subject:', 'headers' => '$message_headers');
$filtersConditions      = array('is', 'is not', 'contains', 'does not contains', 'begins', 'does not begins', 'ends', 'does not ends', 'is above', 'is not above', 'is below', 'is not below');
$filtersActions         = array();
$filtersActions[]       = 'deliver';
$filtersActions[]       = 'save';
?>
