<?
/*******************************************************************************
*    Config 1.0. Configuration Server for an Exim Mailsystem                   *
*    Using DB Framwork for PHP  1.1.                                           *
*    Copyright (C) 2006 Luca Bertoncello                                       *
*    Hartigstrasse, 12 - 01127 Dresden Deutschland                             *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

function getMailbox($account, $domain = '')
{
  global $mailboxType, $mailboxPath, $maildirBase, $maildirSpamPath;

  $path = $mailboxPath;
  $path = str_replace('%%ACCOUNT%%', $account, $path);
  $path = str_replace('%%DOMAIN%%', $domain, $path);
  $path .= "/$maildirBase";

  return $path;
}

function getParametersForPipe($pipeName)
{
  global $allowedPipes;

  $params = array();

  foreach($allowedPipes as $pipe)
    if($pipe['name'] == $pipeName)
    {
      list($type, $v) = explode(':', $pipe['values']);
      list($prefix, $other) = explode('|', $v, 2);
      if($other == '' && $prefix != '')
      {
        $other = $prefix;
        $prefix = '';
      }
      switch($type)
      {
        case 'PIPE':
          $fp = popen($other, 'r');
          while(!feof($fp))
            if($buf = trim(fgets($fp, 4096)))
              $params[] = $buf;
          pclose($fp);
        break;
        case 'FILE':
          $fp = fopen($other, 'r');
          while(!feof($fp))
            if($buf = trim(fgets($fp, 4096)))
              $params[] = $buf;
          fclose($fp);
        break;
        case 'DB':
          list($dbHost, $dbName, $dbUser, $dbPass, $query) = explode('/', $other);
          $myLink = mysql_connect($dbHost, $dbUser, $dbPass) or die('Could not connect to DB');
          mysql_select_db($dbName, $myLink) or die('Could not select database');
          $result = mysql_query($query, $myLink);
          while($rs = mysql_fetch_array($result))
            $params[] = $rs[0];
          mysql_close($myLink);
        break;
        case 'FIX':
          $params = explode('/', $other);
        break;
      }
    }

  return($params);
}
?>
